package com.quant.entity;

import java.io.Serializable;
import java.sql.Date;

public class Favorite implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 2088045649060027245L;

	private Integer id;
	private Integer uid;
	private String title;
	private String description;
	private String orginUri;
	private Integer favoriteType;
	private Integer relationId;
	private Date pubTime;
	private String uname;
	

	public String getUname() {
		return uname;
	}
	public void setUname(String uname) {
		this.uname = uname;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getUid() {
		return uid;
	}
	public void setUid(Integer uid) {
		this.uid = uid;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getOrginUri() {
		return orginUri;
	}
	public void setOrginUri(String orginUri) {
		this.orginUri = orginUri;
	}
	public Integer getFavoriteType() {
		return favoriteType;
	}
	public void setFavoriteType(Integer favoriteType) {
		this.favoriteType = favoriteType;
	}
	public Integer getRelationId() {
		return relationId;
	}
	public void setRelationId(Integer relationId) {
		this.relationId = relationId;
	}
	public Date getPubTime() {
		return pubTime;
	}
	public void setPubTime(Date pubTime) {
		this.pubTime = pubTime;
	}
	
	public Favorite() {
		super();
	}
	
	public Favorite(Integer id, Integer uid, String title, String description,
			String orginUri, Integer favoriteType, Integer relationId,
			Date pubTime) {
		super();
		this.id = id;
		this.uid = uid;
		this.title = title;
		this.description = description;
		this.orginUri = orginUri;
		this.favoriteType = favoriteType;
		this.relationId = relationId;
		this.pubTime = pubTime;
	}
	
	
}
